Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class ToggleButtonPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext
                        |
                        +--com.bea.netuix.servlets.controls.window.ToggleButtonPresentationContext

All Implemented Interfaces:
  Serializable

public class ToggleButtonPresentationContext
extends AbstractButtonPresentationContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `ToggleButtonPresentationContext(ToggleButton toggleButton)`

Method Summary
`String` | `getActivateAltText()`
`String` | `getActivateImage()`
`String` | `getActivateRolloverImage()`
`String` | `getAltText()`
`String` | `getDeactivateAltText()`
`String` | `getDeactivateImage()`
`String` | `getDectivateRolloverImage()`
`String` | `getImage()`
`String` | `getImageSrc()`
`String` | `getRolloverImage()`
`String` | `getRolloverImageSrc()`
`static ToggleButtonPresentationContext` | `getToggleButtonPresentationContext(HttpServletRequest request)`
`boolean` | `isActive()`

Methods inherited from class com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext
`getAbstractButtonPresentationContext, getContextKey, getEvent, getEventParam, getName, getWindowLabel, isParentPortlet`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleButtonPresentationContext

    protected ToggleButtonPresentationContext(ToggleButton toggleButton)

Method Detail

### getActivateImage

    public String getActivateImage()

### getDeactivateImage

    public String getDeactivateImage()

### getImage

    public String getImage()

  Overrides:
    `getImage` in class `AbstractButtonPresentationContext`

### getImageSrc

    public String getImageSrc()

  Overrides:
    `getImageSrc` in class `AbstractButtonPresentationContext`

### getActivateRolloverImage

    public String getActivateRolloverImage()

### getDectivateRolloverImage

    public String getDectivateRolloverImage()

### getRolloverImage

    public String getRolloverImage()

  Overrides:
    `getRolloverImage` in class `AbstractButtonPresentationContext`

### getRolloverImageSrc

    public String getRolloverImageSrc()

  Overrides:
    `getRolloverImageSrc` in class `AbstractButtonPresentationContext`

### getActivateAltText

    public String getActivateAltText()

### getDeactivateAltText

    public String getDeactivateAltText()

### getAltText

    public String getAltText()

  Overrides:
    `getAltText` in class `AbstractButtonPresentationContext`

### isActive

    public boolean isActive()

### getToggleButtonPresentationContext

    public static ToggleButtonPresentationContext getToggleButtonPresentationContext(HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved